Cancel sending
POST
/v1/operations/{operation_id}/cancelCancels sending a message while the operation is in state queued. If the sending has already started, completed or was cancelled, a 409 is returned. You cannot recall an already sent message using this method.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/operations/<operation_id>/cancel' \ -H 'Authorization: Bearer <access_token>'Parameters
operation_idpathNecessarilystring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
cancelledboolean
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject